mode(-1);
// specific part
libname='mxpmacrlib' // name of scilab function library [CUSTOM]

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'builder.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end


if ~MSDOS then // Unix Linux
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/' // Path of the macros directory
  SRC=DIR+'src/' // Path of the source (Fortran) directory
  // Create Makefile
  u=file('open',SRC+'Makefile','unknown')
  write(u,['SCIDIR = '+SCI
      'TOTODIR = '+DIR
      'LIBRARY = mxplib.a' //object file library  [CUSTOM]
      'OBJSF =  mpalgtyp.o mpdspasp.o mpdsmsp.o mpdspms.o mpdspmsp.o ...
mpdscal.o mpdspdrsp.o mpdspful.o mpwspful.o mpadd.o mndsmsp.o mpcommon.o mpdmmul.o ...
mpwmmul.o mpwscal.o mnwmmul.o mndmmul.o mdadd.o mpddot.o mpwmul.o mnddot.o mndadd.o ...
mpdadd.o mpalgtyp.o mpkarp.o mpdipowe.o mpddpowe.o mpddpow1.o mpdspis.o mpwspis.o ...
mpaddmul.o mpkronr.o impelm.o mpchsgn.o mpddif.o Display2.o mpprint.o mpdspmas.o' 
  //Fortran objects (do not include interface) [CUSTOM]
      'OBJSC = FordBellman.o  Utilities2.o Karp4.o HOWARD7.o in_span.o '//C objects (do not include interface) [CUSTOM]
      'include '+SCI+'/Makefile.incl'
      'CFLAGS = $(CC_OPTIONS) $(CC_PICFLAGS) -I'+SCI+'/routines'
      'FFLAGS = $(FC_OPTIONS) $(CC_PICFLAGS) -I'+SCI+'/routines'
      'include '+SCI+'/routines/Make.lib'
      'all :: Link_Howard3.o impelm.o impspelm.o impmatops.o impspops.o'],'(a)') //interface object [CUSTOM]
  file('close',u)
  cmd_make='make'
else  // windows- Visual C++
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  MACROS=DIR+'macros\' // Path of the macros directory
  SRC=DIR+'src\' // Path of the source (Fortran) directory
  SCI1=strsubst(SCI,'/','\') // path of Scilab
  
    //to avoid problems with pathnames including long names we make 
  // a local copy of  $SCI/Makefile.incl.mak
  mkf=read(SCI1+'\Makefile.incl.mak',-1,1,'(a)')
  mkf=strsubst(mkf,'$(SCIDIR)/routines/f2c','""'+SCI1+'\routines\f2c""')
  mkf=strsubst(mkf,'$(SCIDIR1)\bin\f2c.exe','""'+SCI1+'\bin\f2c.exe""')
  mkf=strsubst(mkf,'$(SCIDIR)',SCI1)
  mkf=strsubst(mkf,'$(SCIDIR1)',SCI1)

  u=file('open','Makefile.incl.mak','unknown')
  write(u,mkf,'(a)')
  file('close',u)
  
  
  u=file('open',SRC+'Makefile','unknown')
  tab=code2str(-40)
  write(u,['SCIDIR1 = '+SCI1
      'SCIDIR = ""'+SCI1+'""'
      'DUMPEXTS = ""'+SCI1+'\bin\dumpexts.exe""'
      'SCIIMPLIB = ""'+SCI1+'\bin\LibScilab.lib""'
      'LIBRARY = mxplib.lib ' //object file library [CUSTOM]
      'OBJSF = mpalgtyp.obj mpdspasp.obj mpdsmsp.obj mpdspms.obj mpdspmsp.obj ...
mpdscal.obj mpdspdrsp.obj mpdspful.obj mpwspful.obj mpadd.obj mndsmsp.obj mpcommon.obj mpdmmul.obj ...
mpwmmul.obj mpwscal.obj mnwmmul.obj mndmmul.obj mdadd.obj mpddot.obj mpwmul.obj mnddot.obj mndadd.obj ...
mpdadd.obj mpalgtyp.obj mpkarp.obj mpdipowe.obj mpddpowe.obj mpddpow1.obj mpdspis.obj mpwspis.obj ...
mpaddmul.obj mpkronr.obj impelm.obj mpchsgn.obj mpddif.obj Display2.obj mpprint.obj mpdspmas.obj ...
impelm.obj impspelm.obj impmatops.obj impspops.obj' //Fortran objects files [CUSTOM]
      'OBJSC = FordBellman.obj Link_Howard3.obj Utilities2.obj Karp4.obj HOWARD7.obj in_span.obj'//C objects files [CUSTOM]
      'include '+SCI1+'\Makefile.incl.mak'
      'CFLAGS = $(CC_OPTIONS) -DFORDLL -I""'+SCI1+'\routines""'
      'FFLAGS = $(FC_OPTIONS) -DFORDLL -I""'+SCI1+'\routines""'
      ' '
      'all :: mxplib.dll' //dynamic library [CUSTOM]
      ' '
      'mxplib.dll: $(OBJSC) $(OBJSF)'
        tab+'@$(DUMPEXTS) -o ""$*.def"" ""$*.dll"" $**'
        tab+'@$(LINKER) $(LINKER_FLAGS) $(OBJSC) $(OBJSF) $(SCIIMPLIB) $(XLIBSBIN)'+..
      ' $(TERMCAPLIB) /nologo /dll /out:""$*.dll"" /implib:""$*.ilib"" '+..
      '/def:""$*.def""'
      'distclean ::'
      tab+'@del *.obj';
      tab+'@del *.dll'
      tab+'@del *.ilib'
      tab+'@del *.def'],'(a)')
  file('close',u)
  cmd_make='nmake /f Makefile'
end
// compile Fortran and C sources in src
OLD=getcwd();chdir(SRC)
unix_s(cmd_make)
chdir(OLD);

//compile sci files if necessary and build lib file
//genlib(libname,MACROS)

///// Pour recreer les fichiers .cat du  man a partir des fichier .man
///// (en supposant etre dans le directory maxplus/)
//     formatman('man/','ascii')
///// Pour crer les fichiers .html
//     formatman('man/','xml')
// If Maxplus2.1 is in DIR do:
//     xmltohtml(['/DIR/Maxplus2.1/man/'],[],'html.xsl');
clear fd err nams DIR libname MACROS  SRC OLD cmd_make
