.TH bouchonvm  1 " " " " "Maxplus Procedure"
.SH NAME
bouchonvm  -   mean speed computation ( circular road traffic )
.SH CALLING SEQUENCE
.nf
r=bouchonvm(n,k,l)
.fi
.SH PARAMETERS
.TP 10
n
: car number
.TP 10
k
: ceil(1/v) where v is the speed
.TP 10
l
: probability for a car to have speed v
.TP 10
r vm/v where vm is the mean speed of the n cars

.SH DESCRIPTION
Compute the mean speed of n cars confined to a circular road without input or
output, where the cars cannot overtake each other.

The cars can take two speeds 0 and v with probabilities
(1-l) and l.

In stationnary regime there are k clusters.

In this case it is possible to compute explicitely r :

r(n+1)=l(k+nr(n))/(n+k) with r(0)=1.

.SH SEE ALSO
bouchon



