.TH explicit  1 " " " " "Maxplus Function"
.SH NAME
explicit -  explicit form ( maxplus linear system)
.SH CALLING SEQUENCE
.nf
E=explicit(S)
.fi
.SH PARAMETERS
.TP 10
S
: maxplus linear system
.TP 10
E
: corresponding explicit maxplus linear system 
.SH DESCRIPTION
Computes an explicit realization of a dynamic linear maxplus system.

An explicit form of a system (A,B,C,D) has a matrix D 
with all entries equal to -inf.
.SH EXAMPLES
.nf
S=mpsyslin(%eye(2,2),[%1;%1],[%1,%1],#([-1,0;-1,-2]))
explicit(S)
.fi
.SH SEE ALSO
mpsyslin,
maxplus




