.TH includespan  1 " " " " "Maxplus Function"
.SH NAME
includespan -  maxplus matrix image inclusion
.SH CALLING SEQUENCE
.nf
includespan(A,B,[pre])
.fi
.SH PARAMETERS
.TP 10
A
: full maxplus matrix
.TP 10
B
: full maxplus matrix
.TP
pre
: precision
.TP 10
b
: boolean

.SH DESCRIPTION
b is true if Im(B) is included in Im(A) else it is false.

.SH EXAMPLES
.nf
a=#([1,0;0,1]);
includespan(a,#([10;10]))
includespan(a,#([2,1;1,2]))
includespan(a,#([2.0001;1]))
.fi
.SH SEE ALSO
maxplus,
equalspan,
mpkernel,
mpsolve





