mode(-1);

libname='mxpmacrlib' 

libtitle='MAXPLUS'; 

mess=['  -----------------------------------------';
      '  Maxplus toolbox loaded, demo menu updated';
      '  -----------------------------------------';
//      ' if your working directory is .../Maxplus....';
//      '''exec examples/mxpdemo.sce''  for a demonstration.';
//      '''exec examples/mxpcourse.sce'' for a small course.';
       ' In menu help the maxplus section gives the list';
        'of all the available functions.'; 
	' See also the demos.']; 
      
IMPELM= ['%talg_abs','%talg_real','%talg_imag','%talg_conj','%talg_round',..
'%talg_int','%talg_size','%talg_sum','%talg_prod','%talg_diag',..
'%talg_triu','%talg_tril','%eye','%talg_rand','%ones',..
'%talg_maxi','%talg_mini','%talg_sort','%talg_k_talg','%talg_kron1',..
'%talg_kron2','%talg_matrix','%talg_sin','%talg_cos','%talg_atan',..
'%talg_exp','%talg_sqrt','%talg_log','inutile_p_s','%talg_sign',..
'%talg_clean','%talg_floor','%talg_ceil','tropical','%talg_setalg',..
'mpkarp','%talg_save','%talg_load', '%talg_pr'];

IMPMATOPS=['%talg_c_talg','%talg_i_talg','%talg_e','%talg_f_talg',..
'%talg_b_talg','%talg_a_talg','%talg_s_talg','%talg_m_talg',..
'%talg_r_talg','%talg_l_talg','%talg_o_talg','%talg_n_talg',..
'%talg_1_talg','%talg_2_talg','%talg_3_talg','%talg_4_talg',..
'%talg_t','%talg_p_s','%s_a_talg','%talg_a_s','%s_m_talg','%talg_m_s',..
'%s_c_talg','%talg_c_s','%s_f_talg','%talg_f_s',..
'%s_r_talg','%talg_r_s','%s_l_talg','%talg_l_s',..
'%talg_h_talg','%s_h_talg','%talg_h_s','%s_i_talg','%talg_i_s',..
'%s_1_talg','%talg_1_s','%s_2_talg','%talg_2_s','%s_3_talg','%talg_3_s',..
'%s_4_talg','%talg_4_s','%s_o_talg','%talg_o_s','%s_n_talg','%talg_n_s',..
'%talg_s'];

IMPSPOPS=['%mps_c_mps','%mps_i_mps','%mps_e','%mps_f_mps','%mps_t',..
'%mps_a_mps','%mps_m_mps','%mps_o_mps','%mps_n_mps',..
'%st_a_mps','%mps_a_st','%s_m_mps','%mps_m_s',..
'%talgt_a_mps','%mps_a_ttalg','%talg_m_mps','%mps_m_talg',..
'%st_i_mps', '%talgt_i_mps','%mps_o_s', '%s_o_mps','%s_n_mps','%mps_n_s',..
'%mps_o_talg', '%talg_o_mps','%talg_n_mps','%mps_n_talg',..
'%talgt_c_mps','%mps_c_talgt','st_c_mps','mps_c_st',.. 
'%talgt_f_mps','%mps_f_talgt','%s_f_mpst','%mpst_f_s','amax'];

IMPSPELM=['%talg_sparse','%mps_spget','%mps_full','%mps_save','%mps_load']; 

IMPHOWARD=['hhoward','hsemihoward','hkarp','Max_Full','hin_span','hweakbasis',..
'hinclude_span','hproduct','hrowbasis','hsolve','hsolve3','hweakbasis2',..
'hstar','hplus','hFordBellman'];

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'loader.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end

if ~MSDOS then //Unix
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
  EXAMPLES=DIR+'examples/'
  // Add primitives
 //  addinter(DIR+'src/'+['intertoto.o','toto.a'],"entrypointoto","totoi")  //[CUSTOM]
 // Chargement des fonctions elementaires max-plus
 // 
addinter(DIR+'src/'+['impelm.o', 'mxplib.a'], 'impelm',IMPELM);

// Chargement des fonctions matricielles pleines max-plus

addinter(DIR+'src/'+['impmatops.o', 'mxplib.a'],'impmatops',IMPMATOPS);

//Pour que l'interface impmatops passe les arguments par valeur

intppty(int(funptr('%talg_a_talg')/100))

//Chargement des fonctions matricielles creuses max-plus

addinter(DIR+'src/'+['impspops.o', 'mxplib.a'],'impspops',IMPSPOPS);

// Chargement des  fonctions elementaires creuses max-plus

addinter(DIR+'src/'+['impspelm.o','mxplib.a'],'impspelm',IMPSPELM);

// Chargement des fonctions avancees Howard et algebre lineaire

addinter(DIR+'src/'+['Link_Howard3.o', 'mxplib.a']','maxplusc',IMPHOWARD);
 
 
else // Visual C++
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  DIR=strsubst(DIR,'/','\');
  MACROS=DIR+'macros\'
  EXAMPLES=DIR+'examples\'
  // Add primitives
//  addinter(DIR+'src\mxplib.dll',"entrypointoto","totoi") //[CUSTOM]
 // Chargement des fonctions elementaires max-plus
 // 
addinter(DIR+'src\mxplib.dll','impelm',IMPELM);

// Chargement des fonctions matricielles pleines max-plus

addinter(DIR+'src\mxplib.dll','impmatops',IMPMATOPS);


//Pour que l'interface impmatops passe les arguments par valeur

intppty(int(funptr('%talg_a_talg')/100))

//Chargement des fonctions matricielles creuses max-plus

addinter(DIR+'src\mxplib.dll','impspops',IMPSPOPS);

// Chargement des  fonctions elementaires creuses max-plus

addinter(DIR+'src\mxplib.dll','impspelm',IMPSPELM);

// Chargement des fonctions avancees Howard et algebre lineaire

addinter(DIR+'src\mxplib.dll','maxplusc',IMPHOWARD);

end;

//  Definition des noms des types : 
//  talg pour max-plus,
//  mps pourles sparses max-plus

typename('talg',257);
typename('mps',261);

// Chargement des macros elementaires max-plus et
// definition des constantes fondamentales

getf(MACROS+'mpfunctions.sci');
getf(MACROS+'typeof.sci');
[%0,%1,%top,#]=setmaxplus();

// Chargement des macros de manipulation
// des systemes dynamiques lineaires max-plus

getf(MACROS+'mpsyslin.sci');

// Chargement de macros utiles pour des applications
// productiques du type evaluation de performance

getf(MACROS+'productique.sci');

// Chargement des fonctions et macros  avances pour manipuler
// les systemes lineaires max-plus (vecteurs propres, etoiles,
// calcul de bases de semi-modules  howard)

getf(MACROS+'howard.sci');

getf(MACROS+'eigen.sci');

getf(MACROS+'costo.sci');

getf(MACROS+'bouchon.sci');

//getf(MACROS+'traffic.sci');

//execstr(libname+'=lib(""'+MACROS+'"")')
//[%0,%1,%top,#]=setmaxplus()

// Affiche les messages initiaux

write(%io(2),mess)

// Chargement des helps maxplus

%helps = [%helps; DIR+'man','Maxplus type and functions'];
//%helps = [%helps; DIR+'man/cat','Maxplus type and functions'];
demolist=[demolist; 'Maxplus  Demo', EXAMPLES+'mxpdemo.sce']
demolist=[demolist; 'Maxplus  Course', EXAMPLES+'mxpcourse.sce']
chdir(DIR);

clear fd err nams DIR libname libtitle mess;  //clean environment



