.TH mpkernel 1 " " " " "Maxplus Function"
.SH NAME
mpkernel - maxplus matrix kernel
.SH CALLING SEQUENCE
.nf
[V,W]=mpkernel(A)
.fi
.SH PARAMETERS
.TP 10
A
: full maxplus matrix 
.TP 10
V
: full maxplus matrix 
.TP 10
W
: full maxplus matrix 
.SH DESCRIPTION
Computes a weak basis of the solutions of the maxplus linear system
AV=AW.
.SH EXAMPLES
.nf
a=#([1,0;0,1]);[V,W]=mpkernel(a)
.fi
.SH SEE ALSO
maxplus,
equalspan,
includespan,
weakbasis,
mpsolve





