.TH mpsolve 1 " " " " "Maxplus Function"
.SH NAME
mpsolve -  maxplus linear system solver
.SH CALLING SEQUENCE
.nf
W=mpsolve(A,B,[pre])
.fi
.SH PARAMETERS
.TP 10
A
: full maxplus matrix (system rhs)
.TP 10
B
: full maxplus matrix (system lhs)
.TP
pre
: precision
.TP 10
W
: full maxplus matrix (solution)

.SH DESCRIPTION
W is a full maxplus matrix giving a weakbasis of the solution set in X
of AX = BX. This is only a tentative inefficient program.

.SH EXAMPLES
.nf
a=#([1,0;0,1]);b=#([1,0;0,1]);mpsolve(a,b)
a=#([1,0;0,1]);b=#([1,%0;0,%0]);mpsolve(a,b)
a=#([1,0,%0;0,1,%0]);b=#([%0,%0,0.5;%0,%0,0]);mpsolve(a,b)
.fi
.SH SEE ALSO
maxplus,
equalspan,
includespan,
weakbasis




