.TH plus 1 " " " " "Maxplus Function"
.SH NAME
plus - (+) maxplus matrix plus operator
.SH CALLING SEQUENCE
.nf
B=plus(A)
.fi
.SH PARAMETERS
.TP 10
A
: maxplus full square matrix
.TP 10
B
: A+A^2+.....

.SH DESCRIPTION
Compute A*A^*=A+A^2+..... of a maxplus matrix A.

.SH EXAMPLES
.nf
plus(#(1))
plus(#(-1))
plus(#([1,2;3,4]))
a=#([-3,-2;-1,0]); b=plus(a); b==a*star(a)
.fi
.SH SEE ALSO
star,
maxplus 




